﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Controls.Primitives;

namespace OptionsPanel
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            ScrollViewer sv = this.GetChildFromName((LayoutRoot.Children[0] as OptionsPanel) as DependencyObject, "scrollContent") as ScrollViewer;
            ToggleButton button = this.GetChildFromName((LayoutRoot.Children[0] as OptionsPanel) as DependencyObject, "btnState") as ToggleButton;
            button.IsChecked = !button.IsChecked;
            sv.Visibility = button.IsChecked.Value ? System.Windows.Visibility.Visible : System.Windows.Visibility.Collapsed;
            button.Content = button.IsChecked.Value ? "-" : "+"; 
        }

        private FrameworkElement GetChildFromName(DependencyObject parent, string name)
        {
            FrameworkElement result = null;

            for (int i = 0; i < VisualTreeHelper.GetChildrenCount(parent); i++)
            {
                if (VisualTreeHelper.GetChild(parent, i) is FrameworkElement
                    && (VisualTreeHelper.GetChild(parent, i) as FrameworkElement).Name.Equals(name))
                {
                    return VisualTreeHelper.GetChild(parent, i) as FrameworkElement;
                }
                else
                {
                    result = GetChildFromName(VisualTreeHelper.GetChild(parent, i), name);

                    if (result != null)
                    {
                        break;
                    }
                }
            }
            return result;
        }
    }
}
